> ## Documentation Index
> Fetch the complete documentation index at: https://phidatainc-agui.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Schedule



## OpenAPI

````yaml post /schedules
openapi: 3.1.0
info:
  title: Agno API Reference
  description: The all-in-one, private, secure agent platform that runs in your cloud.
  version: 2.5.6
servers: []
security: []
paths:
  /schedules:
    post:
      tags:
        - Schedules
      summary: Create Schedule
      operationId: create_schedule_schedules_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScheduleCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduleResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ScheduleCreate:
      properties:
        name:
          type: string
          maxLength: 255
          title: Name
        cron_expr:
          type: string
          maxLength: 128
          title: Cron Expr
        endpoint:
          type: string
          maxLength: 512
          title: Endpoint
        method:
          type: string
          maxLength: 10
          title: Method
          default: POST
        description:
          anyOf:
            - type: string
              maxLength: 1024
            - type: 'null'
          title: Description
        payload:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Payload
        timezone:
          type: string
          maxLength: 64
          title: Timezone
          default: UTC
        timeout_seconds:
          type: integer
          maximum: 86400
          minimum: 1
          title: Timeout Seconds
          default: 3600
        max_retries:
          type: integer
          maximum: 10
          minimum: 0
          title: Max Retries
          default: 0
        retry_delay_seconds:
          type: integer
          maximum: 3600
          minimum: 1
          title: Retry Delay Seconds
          default: 60
      type: object
      required:
        - name
        - cron_expr
        - endpoint
      title: ScheduleCreate
    ScheduleResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        method:
          type: string
          title: Method
        endpoint:
          type: string
          title: Endpoint
        payload:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Payload
        cron_expr:
          type: string
          title: Cron Expr
        timezone:
          type: string
          title: Timezone
        timeout_seconds:
          type: integer
          title: Timeout Seconds
        max_retries:
          type: integer
          title: Max Retries
        retry_delay_seconds:
          type: integer
          title: Retry Delay Seconds
        enabled:
          type: boolean
          title: Enabled
        next_run_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Run At
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - name
        - method
        - endpoint
        - cron_expr
        - timezone
        - timeout_seconds
        - max_retries
        - retry_delay_seconds
        - enabled
      title: ScheduleResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````